from sklearn.base import TransformerMixin
from sklearn.pipeline import Pipeline, FeatureUnion
from sklearn.ensemble import RandomForestRegressor

class RandomForestTransformer(RandomForestRegressor, TransformerMixin):
    def transform(self, X, *_):
        print("Calling RandomForestTransformer.transform...")
        return self.predict(X)
